Announcement

Collapse
No announcement yet.

SQL error during update from 4.2.2 to 4.2.5

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • SQL error during update from 4.2.2 to 4.2.5

    Keep getting SQL error, quoted below, that halts upgrade from 4.2.2 to 4.2.5 about halfway through.
    Following others with similar errors posted at support forums:
    -- Blogs are turned on,
    -- PHP is at 5.6.32, but has was also tried at 7.0, and 7.1
    -- MySQL is at 5.5.58-cll

    All help appreciated. Forums are down until we get past this.

    Database error in vBulletin 4.2.5:

    Invalid SQL:

    SELECT bt.userid, bt.dateline, blogtextid, ipaddress, firstblogtextid
    FROM cr_blog_text bt
    JOIN cr_blog bl USING (blogid)
    LEFT JOIN cr_ipdata ip ON (
    bt.ipaddress = ip.ipid AND bt.blogtextid = ip.contentid
    AND bt.userid = ip.userid AND ip.contenttypeid IN (, )
    )
    WHERE ipid IS NULL;

    MySQL Error : You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ' )
    )
    WHERE ipid IS NULL' at line 6
    Error Number : 1064
    Request Date : Tuesday, December 19th 2017 @ 01:44:43 PM
    Error Date : Tuesday, December 19th 2017 @ 01:44:44 PM
    Script : http://www.xxxxms.com/bb/install/upgrade.php
    Referrer : http://www.xxxxms.com/bb/install/upgrade.php
    IP Address : IPADDRESS
    Username :
    Classname : vB_Database_MySQLi
    MySQL Version : 5.5.58-cll
    Server : 192.31.129.194
    User Agent :


    Stack Trace:

    #0 vB_Database->halt() called in [path]/includes/class_core.php on line 1395
    #1 vB_Database_MySQLi->execute_query() called in [path]/includes/class_core.php on line 475
    #2 vB_Database->query_read_slave() called in [path]/install/includes/class_upgrade_vbblog.php on line 1969
    #3 vB_Upgrade_vbblog->step_18() called in [path]/install/includes/class_upgrade.php on line 1762
    #4 vB_Upgrade_Version->execute_step() called in [path]/install/includes/class_upgrade_ajax.php on line 616
    #5 vB_Upgrade_Ajax->execute_step() called in [path]/install/includes/class_upgrade_ajax.php on line 405
    #6 vB_Upgrade_Ajax->process_step() called in [path]/install/includes/class_upgrade_ajax.php on line 151
    #7 vB_Upgrade_Ajax->init() called in [path]/install/includes/class_upgrade.php on line 385
    #8 vB_Upgrade_Abstract->__construct() called in [path]/install/includes/class_upgrade_ajax.php on line 80
    #9 vB_Upgrade_Ajax->__construct() called in [path]/install/includes/class_upgrade.php on line 49
    #10 vB_Upgrade::fetch_library() called in [path]/install/upgrade.php on line 53

  • #2
    A value isn't being passed. This could be because the files weren't uploaded properly or your server is blocking the value from being passed properly.

    A start would be to run the upgrade with a clean set of files in a new directory. No add-ons, no style customizations. I recommend restoring your vBulletin 4.2.2 files and running the 4.2.5 on a copy of the database until you resolve the issues.
    Translations provided by Google.

    Wayne Luke
    The Rabid Badger - a vBulletin Cloud customization and demonstration site.
    vBulletin 5 Documentation - Updated every Friday. Report issues here.
    vBulletin 5 API - Full / Mobile
    I am not currently available for vB Messenger Chats.

    Comment


    • #3
      Also....is the blog disabled in the products screen? If so enable it and re-run the upgrade. This error sometimes shows itself when the blog is disabled.
      MARK.B | vBULLETIN SUPPORT

      TalkNewsUK - My vBulletin 5.4.4 Demo
      AdminAmmo - My Cloud Demo

      Comment


      • #4
        Mark.B: as noted in original post; blogs are enabled. (But thanks for commenting.) Merry Christmas.

        Comment


        • #5
          Here's a question: will 4.2.5 run with the 4.2.2 database, or are tables modified?

          Comment


          • #6
            Transferred a fresh copy, to be extra positive mode was correct. Same error is thrown.
            How could (what settings) the server be blocking the value from being passed? It's a VB value, right? "ipid"?

            Comment


            • #7
              ip.contenttypeid is the value.

              Did you make sure the Blog was enabled in the AdminCP before upgrading?
              Translations provided by Google.

              Wayne Luke
              The Rabid Badger - a vBulletin Cloud customization and demonstration site.
              vBulletin 5 Documentation - Updated every Friday. Report issues here.
              vBulletin 5 API - Full / Mobile
              I am not currently available for vB Messenger Chats.

              Comment


              • #8
                Hi Wayne and thanks for your reply. As noted in the original post and another one subsequent, and now this one: yes, the BLOGS ARE TURNED ON. (And have been since prior to the update.)
                Thanks again.
                It seems like, with so many folks posting about this problem, there'd be a fix around somewhere.

                Comment


                • #9
                  I recommend restoring your vBulletin 4.2.2 files and running the 4.2.5 on a copy of the database until you resolve the issues.
                  Like a Psychology Today project? Just keep doing it over and over?

                  Done, and done, and done. No help from vB folks? Any clue would be appreciated at this point.

                  Comment


                  • #10
                    Can't say why the value isn't being passed. There simply isn't enough information provided and no way to provide the information we need via a forum topic. You'll need to create a support ticket. We will need access to the AdminCP, SFTP, and the database.
                    Translations provided by Google.

                    Wayne Luke
                    The Rabid Badger - a vBulletin Cloud customization and demonstration site.
                    vBulletin 5 Documentation - Updated every Friday. Report issues here.
                    vBulletin 5 API - Full / Mobile
                    I am not currently available for vB Messenger Chats.

                    Comment

                    Related Topics

                    Collapse

                    Working...
                    X